Subject: Re: [ Creed Discuss ]Chicago concert
From: "Kimberly Reid" <[email-masked]>
To: [email-masked]
Date: Tue, 07 Jan 2003 23:56:04 +0000

Well, I wish I had been at that concert.  All the other concerts were awesome, but pretty much the same-----whoever got to see that show "definitely experienced a unique Creed show, which has, no doubt, become a part of rock and roll history!"

Scott is a single dad and he is a Rock phenomenon with NO PRIVACY whatsoever.  So far this year (that we KNOW about), his best friend's Mother died; he was in a car accident and had to do physical therapy; he was charged with Reckless Operation of a Vehicle in July; he got very ill and was on God-only-knows what medications---some of which were steroids and caused him to blow up like a blowfish----and the mother of his son was arrested (she needs detox and sleeps with men in Scott's bed when he's gone?) after an altercation over custody and he was publicly embarrassed by even MORE of his private business.  He's obviously made some really bad decisions along the way, but who hasn't?  If he has had some type of drug problem, then may God help him through it.  Whatever his deal is, I am not going to bash him for it.  He has made a LOT more positive impact in my life than negative.  I am not a fair-weather fan and I will hang in there when he is down, just like I do when he is on top of the world.

Denise wrote:

Hey did anyone go to the Chicago concert on Dec. 29th?

They were saying on the radio that Scott S. started

stripping and threw his mike and was generally acting

like he was drunk or on drugs. What was that all

about...I didn't get to go:( Would like to know what

happened...My guess is that the thing between him and

Hilary and the custody case is really getting to him.

I'm sure it's really hard to be up on stage and act

like everything is hunky dory when it really

isn't.....I feel bad for him

The new MSN 8: smart spam protection and 2 months FREE*. To unsubscribe or change your preferences for the Creed-Discuss list, visit: http://www.debbir.com/lists/Creed-discuss.htm To submit your profile, visit: http://www.creedlisters.com/profile/submit.asp To view List member Profiles, visit: http://www.creedlisters.com